<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAlbumartTable extends Migration {

	public function up()
	{
		Schema::create('albumart', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->binary('data');
			$table->integer('size')->index();
			$table->string('md5')->index();
			$table->string('mime');
			$table->string('ext');
		});
	}

	public function down()
	{
		Schema::drop('albumart');
	}
}