<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateComponentProgramItemTable extends Migration {

	public function up()
	{
		Schema::create('component_program_item', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('component_program_id')->unsigned()->index();
			$table->integer('component_playlist_id')->unsigned()->index();
			$table->tinyInteger('multiplier')->unsigned()->nullable();
			$table->integer('ordering')->unsigned()->nullable()->index();
		});
	}

	public function down()
	{
		Schema::drop('component_program_item');
	}
}