<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateLibraryStorageFileVariantTable extends Migration {

	public function up()
	{
		Schema::create('library_storage_file_variant', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->tinyInteger('audio_trim')->unsigned()->index()->default('0');
			$table->tinyInteger('audio_normalize')->unsigned()->default('0');
			$table->smallInteger('audio_bitrate')->unsigned()->index()->default('0');
		});
	}

	public function down()
	{
		Schema::drop('library_storage_file_variant');
	}
}